ChangeSet 1.1722.97.70, 2004/06/11 17:06:39-07:00, david-b@pacbell.net

[PATCH] USB: usb on big endian, ehci needs a byteswap

Adds a missing byteswap that would affect interrupt transfers
with EHCI on big-endian platforms, like Rick's MIPS-4km uClinux.
Needed for external hubs, and then likely for mice, keyboards,
and so on.

 From:          Rick Sewill <rsewill@cableone.net>
 Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
 Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/host/ehci-sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/ehci-sched.c b/drivers/usb/host/ehci-sched.c
--- a/drivers/usb/host/ehci-sched.c	Fri Jun 18 10:54:36 2004
+++ b/drivers/usb/host/ehci-sched.c	Fri Jun 18 10:54:36 2004
@@ -483,7 +483,7 @@
 		qh->start = frame;
 
 		/* reset S-frame and (maybe) C-frame masks */
-		qh->hw_info2 &= ~0xffff;
+		qh->hw_info2 &= ~__constant_cpu_to_le32(0xffff);
 		qh->hw_info2 |= cpu_to_le32 (1 << uframe) | c_mask;
 	} else
 		dbg ("reused previous qh %p schedule", qh);
